Subject: Re: Long Island Monarchs

From: Roger Malone <[email-masked]>
Date: Sat, 12 Aug 1995 00:47:37 -0400

I am not sure if this will help the teachers looking for a source of
Monarchs in time for this years class but you might try contacting the
Butterfly Museum where they have live butterflies.  It is housed in the
Museum Of Natural Science in Houston, Texas.  If you give them a call they
can probably suggest a supplier for you.
Roger